﻿using System;
using System.Drawing;

namespace Horizon.Database
{
    public class SnapshotCreateEventArgs : EventArgs
    {
        #region Constructors, Destructors and Finalizers

        public SnapshotCreateEventArgs(string name, string path, Color color, bool success)
        {
            Name = name;
            Path = path;
            Color = color;
            Success = success;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public bool Success { get; }

        public string Name { get; }

        public string Path { get; }

        public Color Color { get; }

        #endregion
    }
}