﻿using System;
using System.Windows.Forms;

namespace Horizon.Snapshots
{
    public class DataGridViewRowProgressFailure : DataGridViewRowProgress
    {
        #region Constructors, Destructors and Finalizers

        public DataGridViewRowProgressFailure(DataGridViewRow row, int index, Exception exception) : base(
            row, index, false)
        {
            Exception = exception;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public Exception Exception { get; }

        #endregion
    }
}