﻿using System;

namespace Horizon.Database
{
    public class SnapshotRevertEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public bool Success { get; }

        #endregion

        #region Constructors, Destructors and Finalizers

        private SnapshotRevertEventArgs()
        {
        }

        public SnapshotRevertEventArgs(bool success) : this()
        {
            Success = success;
        }

        #endregion
    }
}